OpenVDB: DualGridSampler< tree::ValueAccessor< TreeT >, SamplerT > Class Template Reference

OpenVDB 12.0.1 |

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
DualGridSampler< tree::ValueAccessor< TreeT >, SamplerT > Class Template Reference

Specialization of DualGridSampler for construction from a ValueAccessor type. More...

`#include <openvdb/tools/Interpolation.h>`

## Public Types
using | ValueType = typename TreeT::ValueType
using | TreeType = TreeT
using | GridType = Grid<TreeType>
using | AccessorType = typename tree::ValueAccessor<TreeT>
using | ValueType
using | GridType
using | TreeType
using | AccessorType

## Public Member Functions
| DualGridSampler (const AccessorType &sourceAccessor, const math::Transform &sourceXform, const math::Transform &targetXform)
| ValueAccessor and transform constructor.
ValueType | operator() (const Coord &ijk) const
| Return the value of the source grid at the index coordinates, ijk, relative to the target grid.
bool | isAligned () const
| Return true if the two grids are aligned.
| DualGridSampler (const GridType &sourceGrid, const math::Transform &targetXform)
| Grid and transform constructor.
| DualGridSampler (const TreeType &sourceTree, const math::Transform &sourceXform, const math::Transform &targetXform)
| Tree and transform constructor.
ValueType | operator() (const Coord &ijk) const
| Return the value of the source grid at the index coordinates, ijk, relative to the target grid (or its tranform).
bool | isAligned () const
| Return true if the two grids are aligned.

## Detailed Description

template<typename TreeT, typename SamplerT>
class openvdb::v12_0::tools::DualGridSampler< tree::ValueAccessor< TreeT >, SamplerT >

Specialization of DualGridSampler for construction from a ValueAccessor type.

## Member Typedef Documentation

## ◆ AccessorType [1/2]

using AccessorType

## ◆ AccessorType [2/2]

template<typename TreeT, typename SamplerT>

using AccessorType = typename tree::ValueAccessor<TreeT>

## ◆ GridType [1/2]

using GridType

## ◆ GridType [2/2]

template<typename TreeT, typename SamplerT>

using GridType = Grid<TreeType>

## ◆ TreeType [1/2]

using TreeType

## ◆ TreeType [2/2]

template<typename TreeT, typename SamplerT>

using TreeType = TreeT

## ◆ ValueType [1/2]

using ValueType

## ◆ ValueType [2/2]

template<typename TreeT, typename SamplerT>

using ValueType = typename TreeT::ValueType

## Constructor & Destructor Documentation

## ◆ DualGridSampler() [1/3]

template<typename TreeT, typename SamplerT>

DualGridSampler | ( | const AccessorType & | sourceAccessor,
|  | const math::Transform & | sourceXform,
|  | const math::Transform & | targetXform )
| inline

ValueAccessor and transform constructor.

Parameters

  sourceAccessor | ValueAccessor into the source grid.
  sourceXform | Transform for the source grid.
  targetXform | Transform for the target grid.

## ◆ DualGridSampler() [2/3]

DualGridSampler | ( | const GridType & | sourceGrid,
|  | const math::Transform & | targetXform )
| inline

Grid and transform constructor.

Parameters

  sourceGrid | Source grid.
  targetXform | Transform of the target grid.

## ◆ DualGridSampler() [3/3]

DualGridSampler | ( | const TreeType & | sourceTree,
|  | const math::Transform & | sourceXform,
|  | const math::Transform & | targetXform )
| inline

Tree and transform constructor.

Parameters

  sourceTree | Source tree.
  sourceXform | Transform of the source grid.
  targetXform | Transform of the target grid.

## Member Function Documentation

## ◆ isAligned() [1/2]

bool isAligned | ( |  | ) | const
| inline

Return true if the two grids are aligned.

## ◆ isAligned() [2/2]

template<typename TreeT, typename SamplerT>

bool isAligned | ( |  | ) | const
| inline

Return true if the two grids are aligned.

## ◆ operator()() [1/2]

ValueType operator() | ( | const Coord & | ijk | ) | const
| inline

Return the value of the source grid at the index coordinates, ijk, relative to the target grid (or its tranform).

## ◆ operator()() [2/2]

template<typename TreeT, typename SamplerT>

ValueType operator() | ( | const Coord & | ijk | ) | const
| inline

Return the value of the source grid at the index coordinates, ijk, relative to the target grid.